@charset "UTF-8";

@media screen and (min-width: 981px) {
.sp{display: none;}
}
@media screen and (max-width: 980px) {
.pc{display: none;}
}
img{pointer-events: none;}
/*===================================================
  OP:LOADER
====================================================*/
.loader{
    position:fixed;
    height:100%;
    width:100%;
    background:#000;
    z-index:99999;
}



/*===================================================
  sns
====================================================*/
.snsList {
    display: flex;
}
.snsList li {
    width: 28px;
    margin: 0 20px 0 0;
}
.snsList li a {
    display: block;
}
.snsList li a img{
    transition:0.3s ease;
}

/*===================================================
  sns
====================================================*/
.scrollDown{
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 16px;
}
.scrollDown .scrollTxt {
    font-size: 70%;
    transition: 0.5s ease;
    font-family: "Poppins", sans-serif;
    font-weight: 800;
    color: #000;
    writing-mode: vertical-rl;
}
.scrollDown .scrollarrow {
    width: 1px;
    height: 60px;
    background: #000;
    animation: scrollarrow 3s cubic-bezier(.19,1,.22,1) 0.5s infinite;
}
@keyframes scrollarrow{
  0% {clip-path: inset(0 0 100% 0);}
  25% {clip-path: inset(0 0 0 0);}
  75% {clip-path: inset(0 0 0 0);}
  100% {clip-path: inset(100% 0 0 0);}
}

/*===================================================
  omikuji_2026
====================================================*/
body:before{
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    position: fixed;
    background-image: url(/static/kariyushi58/fanclub/common/bg_wall.jpg);
    background-size: 220px;
    mix-blend-mode: multiply;
    opacity: 0.7;
    top: 0;
    left: 0;
    z-index: 1;
    pointer-events: none;
}
/*===================================================
  footer
====================================================*/
footer {
    padding: 40px;
    background: #ee300c;
    gap: 24px;
}
footer .logoLink{
    max-width: 50%;
    margin: 0 auto;
}
footer .logoLink a{
    display: block;
}
footer .copyright{
    color: #FFF;
    text-align: center;
}
footer .snsList{
    display: flex;
    justify-content: center;
    gap: 16px;
}
footer .snsList li{
    width: 22px;
    margin: 0;
}
footer .snsList li a{
    filter: brightness(10) grayscale(1);
}


.allContain{
    position: relative;
    z-index: 1;
}
.clm {
    display: flex;
    width: 100%;
    overflow: hidden;
}
.backContent{
    transition: 0.3s ease;
    position: relative;
    z-index: 2;
}

.backContent .clmLeftTit{
    position: fixed;
    left: 60px;
    top: 60px;
    display: flex;
    flex-direction: column;
    gap: 24px;
}
.backContent .clmLeftTit h1{
    width: 100%;
    max-width: 280px;
}
.backContent .clmLeftTit h3{
    width: 100%;
    max-width: 180px;
}
.backContent .clmLeftBox{
    position: fixed;
    left: 60px;
    bottom: 60px;
    display: flex;
    flex-direction: column;
    gap: 24px;
}
.backContent .clmLeftBox .links{
    max-width: 280px;
    display: flex;
    gap: 16px;
    align-items: center;
}
.backContent .clmLeftBox .links li{
    width: 100px;
}
.backContent .clmLeftBox .links li a{
    display: block;
}
.backContent .clmLeftBox .links li a.aniv{
    border-radius: 999px;
    aspect-ratio: 1 / 1;
    background: #fcf7e8;
    box-shadow: 0px 2px 6px 4px rgb(0 0 0 / 5%);
    padding: 20px;
    box-sizing: border-box;
}
.backContent .cloudRight{
    display: block;
    position: fixed;
    left: max(calc(100% - 600px), 750px);
    bottom: 0;
    width: 600px;
    pointer-events: none;
}
.backContent .cloudLeft{
    display: block;
    position: fixed;
    left: 0;
    bottom: 0;
    width: 600px;
    pointer-events: none;
}

/*===================================================
  .clm 
====================================================*/
.clm .clmLeft {
    flex: 1 1 auto;
    min-width: 400px;
    z-index: 1;
    transition: 0.3s ease;
}

.clm .clmRight {
    flex: 1 1 auto;
    min-width: 120px;
    transition: 0.3s ease;
}
.clm .clmCenter{
    flex: 0 0 550px;
    width: 100%;
    max-width: 550px;
    position: relative;
    z-index: 1;
    margin-top: 64px;
    margin-bottom: 64px;
    transition: 0.3s ease;
}
@media screen and (max-width: 980px) {
.backContent{
    opacity: 0;
    pointer-events: none;
}
.clm .clmLeft, .clm .clmRight {
    width: 0;
    min-width: 0;
}
.clm .clmCenter {
    flex: auto;
    max-width: 100%;
    max-width: 500px;
    margin: 64px auto;
}
}
@media screen and (max-width: 500px) {
.clm .clmCenter {
    margin-top: 0;
    margin-bottom: 0;
    border-radius: 0;
    max-width: 100%;
}
}

/*===================================================
    FRAME
====================================================*/
.contentWrap{
    border-radius: 32px;
    transition: 0.3s ease;
    overflow: hidden;
}

section{
    background: #ee300c url(/static/kariyushi58/fanclub/feature/omikuji_2026/images/bg_g4s658c2.jpg);
    background-size: 100%;
    background-repeat: no-repeat;
    color: #FFF;
    padding: 40px;
    font-family: "Zen Maru Gothic", sans-serif;
    box-shadow: 0 0 15px -5px rgba(0, 0, 0, 0.2);
}

.lead {
    font-size: 120%;
    text-align: center;
    font-weight: 700;
    margin-bottom: 24px;
}
.btn a {
    background: transparent;
    padding: 0;
    max-width: 300px;
    margin-bottom: 24px;
}
.cautionList {
    gap: 4px;
}
.cautionList li {
    font-size: 66%;
    font-weight: 600;
}

@media screen and (max-width: 980px) {
section {
    padding: 32px;
}
.lead {
    font-size: 120%;
    text-align: left;
}
}
@media screen and (max-width: 500px) {
.contentWrap {
    border-radius: 0;
}
section {
    padding: 24px;
}
}


/*===================================================
    result
====================================================*/
.resultpage .contentWrap{

}
.resultpage section{
    padding: 0;
    background: url(/static/kariyushi58/fanclub/feature/omikuji_2026/images/bg_result_g4s658c2.jpg);
    background-size: cover;
    border-radius: 32px;
    overflow: hidden;
    margin-bottom: 40px;
    transition: 1.5s ease 0.5s;
    filter: blur(10px);
    opacity: 0;
}
.loaded.resultpage section{
    filter: blur(0px);
    opacity: 1;
}
.omikujiInner{
    clip-path: inset(0 0 100% 0);
    transition: 3s ease 1.5s;
}
.loaded .omikujiInner{
    clip-path: inset(0 0 0 0);
}
.resultpage .btnBack{
    text-align: center;
    max-width: 180px;
    margin: 0 auto 32px;
}
.resultpage .btnBack a{
    display: block;
}

@media screen and (max-width: 980px) {
.resultpage section{
    border-radius: 0;
    margin-bottom: 0;
}
}
